XmCreateFileSelectionBox(3Xm)

NAME
XmCreateFileSelectionBox — the FileSelectionBox widget creation function.

SYNOPSIS
#include <Xm/FileSB.h>

Widget XmCreateFileSelectionBox (parent, name, arglist, argcount)
    Widget    parent;
    String    name;
    ArgList    arglist;
    Cardinal    argcount;

DESCRIPTION
XmCreateFileSelectionBox creates an unmanaged FileSelectionBox. A FileSelectionBox is used to select a file and includes the following:

•   An editable text field for the directory mask.

•   A scrolling list of file names.

•   An editable text field for the selected file.

•   Labels for the list and text fields.

•   Four buttons.

The default button labels are OK, Filter, Cancel, and Help. One additional WorkArea child may be added to the FileSelectionBox after creation.

If the parent of the FileSelectionBox is a DialogShell, use XtManageChild to pop up the FileSelectionDialog (passing the FileSelectionBox as the widget parameter); use XtUnmanageChild to pop it down.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

arglist
    Specifies the argument list.

argcount
    Specifies the number of attribute/value pairs in the argument list (arglist).

For a complete definition of FileSelectionBox and its associated resources, see XmFileSelectionBox(3Xm).

RETURN VALUE
Returns the FileSelectionBox widget ID.

RELATED INFORMATION
XmFileSelectionBox(3Xm).